#
# spec file for package octave-forge-signal
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  signal
Name:           octave-forge-%{octpkg}
Version:        1.4.0
Release:        bp153.1.23
Summary:        Signal processing tools for Octave
License:        GPL-3.0-or-later AND SUSE-Public-Domain
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.8.0
Requires:       octave-forge-control >= 2.4.5

%description
Signal processing tools, including filtering, windowing and display functions.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
# gripes.h replaced by errwarn.h (deprecated in 4.2, removed in 4.6)
sed -i -s -e 's/gripes.h/errwarn.h/' -e 's/gripe_/err_/g' %{octpkg}-%{version}/src/*.cc
sed -i -s -e 's/NINT/octave::math::nint/g' %{octpkg}-%{version}/src/*.cc
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Mar  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix build with current octave versions:
  Substitute gripes.h -> errwarn.h, functions gripe_* -> err_*
  Substitute NINT -> octave::math::nint
* Wed Jun  6 2018 badshah400@gmail.com
- Update to version 1.4.0:
  * The buttord, cheb1ord, cheb2ord, and ellipord functions now
    support analog filter design with the "s" option.
  * The cheb1ord and cheb2ord functions will now compute the
    filter order for band-stop or notch filters.
  * The medfilt1 function has been completely rewritten to support
    additional arguments and options and to improve Matlab
    compatibility.
  * The following new functions have been added to the signal
    package: cconv, pow2db, udecode, db2pow, rms, uencode,
    peak2peak, rssq, unshiftdata, peak2rms, shiftdata.
  * Other functions that have been changed for smaller bugfixes,
    increased Matlab compatibility, or performance: bitrevorder,
    ellip, primitive, buffer, findpeaks, rectpuls, butter,
    fracshift, schtrig, cheby1, gauspuls, sigmoid_train, cheby2,
    gausswin, specgram, chirp, impz, square, cplxreal, invfreqs,
    tripuls, data2fun, invfreqz, digitrevorder, marcumq.
* Wed May 27 2015 dmitry_r@opensuse.org
- Update to version 1.3.2
  * The package is no longer dependent on the general package.
* Wed Apr  8 2015 dmitry_r@opensuse.org
  Update to version 1.3.1
  * The following window functions now accept a Matlab compatible option
    to select the periodic variant, useful for FFT applications:
    blackmanharris    hann
    blackmannuttall   nuttallwin
  * The following filter design functions have improved and more
    consistent input parameter validation:
    buttord    cheb2ord
    cheb1ord   ellipord
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.3.0
